Subject: Re: [PATCH] git_progname

From: Andreas Ericsson <[email-masked]>
Date: Tue, 25 Oct 2005 14:53:14 +0200

Andreas Ericsson wrote:
> Petr Baudis wrote:
> 
>>> grep -l "int main" *.c | xargs -- sed -i '/^#include/i#include "main.h"'
>>
>>
>> Urgh. Now this is ugly. What about making it a bit more intrusive while
>> quite more saner?
>>
> 
> I'm not sure what you're referring to. The one-liner is a one-liner. 
> It's sort of supposed to be ugly.
> 

Oh. I saw what you meant now. Lots of main.h included. :)

Silly me. Sorry about that.

I guess some manual editing could be done.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231